﻿Type=Class
Version=2.31
ModulesStructureVersion=1
B4i=true
@EndOfDesignText@
'Class module
Sub Class_Globals
	Private udpsock As UDPSocket
	Private serializator As B4XSerializator
	Private const Port As Int = 54323
	Public Host As String
End Sub

Public Sub Initialize
	udpsock.Initialize("udpsock", Port, 8192) 'must set port and size to avoid errors.
	'the port number is not important here.
	
End Sub

Public Sub SendCommand(rc As RemoteCommand) 
	If Host = "" Then
		LogColor("Host not set", Colors.Red)
		Return
	End If
	Dim packet As UDPPacket
	packet.Initialize(serializator.ConvertObjectToBytes(rc), Host, Port)
	udpsock.Send(packet)
End Sub